﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace WpfApplication4
{
    /// <summary>
    /// Interaktionslogik für Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            var list = new List<bla>();
            list.Add(new bla() {some = true, someText = "1", some2 = Brushes.Black});
            list.Add(new bla() { some = false, someText = "2", some2 = Brushes.Blue });
            list.Add(new bla() { some = true, someText = "3", some2 = Brushes.Black });
            this.xamDataGrid1.DataSource = list;
            
        }
    }
    public class bla: INotifyPropertyChanged
    {
        private bool _some;
        public bool some
        {
            get { return _some; }
            set { _some = value; 
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs("some"));
                PropertyChanged(this, new PropertyChangedEventArgs("some2"));
            }
            }
        }

        public string someText { get; set; }
        private Brush _some2;
        public Brush some2
        {
            get { return some ? Brushes.Blue : Brushes.Black; }
            set { _some2 = value; }
        }
        public List<bla> some3
    {
        get
        {
            var list = new List<bla>();
            list.Add(new bla() { some = true, someText = "1", some2 = Brushes.Black });
            list.Add(new bla() { some = false, someText = "2", some2 = Brushes.Blue });
            list.Add(new bla() { some = true, someText = "3", some2 = Brushes.Black });
            return list;
        }
            set { }
    }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
